# Generated by Django 4.1.7 on 2023-03-13 12:54

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='DataSchema',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('create_at', models.DateField(auto_now_add=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='GeneratedCSV',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('file', models.FileField(upload_to='csv_files/')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('schema', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='schemas.dataschema')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Column',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('separator', models.CharField(choices=[(',', 'Comma'), (';', 'Semicolon'), (':', 'Colon'), ('\t', 'Tab')], default=',', max_length=2)),
                ('name', models.CharField(max_length=255)),
                ('column_type', models.CharField(max_length=50)),
                ('type', models.CharField(choices=[('full_name', 'Full Name'), ('job', 'Job'), ('email', 'Email'), ('domain_name', 'Domain Name'), ('phone_number', 'Phone Number'), ('company_name', 'Company Name'), ('text', 'Text'), ('integer', 'Integer'), ('address', 'Address'), ('date', 'Date')], default='full_name', max_length=15)),
                ('order', models.IntegerField(unique=True)),
                ('range_min', models.IntegerField(blank=True, null=True)),
                ('range_max', models.IntegerField(blank=True, null=True)),
                ('string_quote', models.CharField(choices=[('"', 'Double Quote'), ("'", 'Single Quote')], default='"', max_length=1)),
                ('schema', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='schemas.dataschema')),
            ],
        ),
    ]
